Define & Validate APIs Validation Rulesets OpenAPI Rulesets OpenAPI v3 Syntax Linting for APIMatic Portal Generation Syntax linting checks performed by APIMatic on provided OpenAPI v3 file to check its conformance to recommended practices for a more user-friendly API documentation.
Property Value Ruleset ID openapi-v3-docsgen-syntax-lintingCode prefix OPENAPI3DOCSGENSYNTAX_LType Linting Default severity Warning Rule system Syntax Rules 31
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L050no-trailing-leading-spaces-in-info-descriptionWarning Description of an Info Object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L150no-trailing-leading-spaces-in-environment-descriptionWarning Description of an environment object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L151no-trailing-leading-spaces-in-server-descriptionWarning Description of an server object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L152no-trailing-leading-spaces-in-server-variable-descriptionWarning Description of a server variable object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L153no-trailing-leading-spaces-in-server-parameter-descriptionWarning Description of a server parameter object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L240no-trailing-leading-spaces-in-path-item-descriptionWarning Description of an Path Item Object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L241no-trailing-leading-spaces-in-path-item-summaryWarning Summary of an Path Item Object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L300no-trailing-leading-spaces-in-operation-descriptionWarning Description of an Operation Object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L301no-trailing-leading-spaces-in-operation-summaryWarning Operation Object summary should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L350no-trailing-leading-spaces-in-test-case-descriptionWarning Description of an Unit Test Object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L360no-trailing-leading-spaces-in-external-documentation-descriptionWarning Description of an external documentation object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L380no-trailing-leading-spaces-in-parameter-descriptionWarning Description of a Parameter Object must not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L381no-trailing-leading-spaces-in-parameter-exampleWarning Parameter Object example should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L430no-trailing-leading-spaces-in-request-body-descriptionWarning Description of a request body object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L460no-trailing-leading-spaces-in-media-type-exampleWarning Media type example should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L520no-trailing-leading-spaces-in-response-descriptionWarning Description of an Response Object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L590no-trailing-leading-spaces-in-example-descriptionWarning Description of an example Object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L591no-trailing-leading-spaces-in-example-summaryWarning Summary of an example object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L592no-trailing-leading-spaces-in-example-valueWarning An example value should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L640no-trailing-leading-spaces-in-link-descriptionWarning Description of Link Object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L660no-trailing-leading-spaces-in-header-descriptionWarning Description of Header Object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L661no-trailing-leading-spaces-in-header-exampleWarning Header object example should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L710no-trailing-leading-spaces-in-tag-descriptionWarning Description of Tag Object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L750no-trailing-leading-spaces-in-schema-descriptionWarning Description of Schema Object should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L751no-trailing-leading-spaces-in-one-of-cases-meta-descriptionWarning Description of Schema oneOf cases meta extension should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L752no-trailing-leading-spaces-in-any-of-cases-meta-descriptionWarning Description of Schema anyOf cases meta extension should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L753no-trailing-leading-spaces-in-schema-exampleWarning Schema Object example should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L840no-trailing-leading-spaces-in-security-scheme-descriptionWarning Security Scheme description should not contain any leading or trailing white-space characters. OPENAPI3DOCSGENSYNTAX_L841no-trailing-leading-spaces-in-additional-header-descriptionWarning Additional header description should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L870no-trailing-leading-spaces-in-oauth-flow-scope-descriptionWarning Scope value of an OAuth Flow Object should not contain any leading or trailing white-space characters.
Code Rule Severity What it checks OPENAPI3DOCSGENSYNTAX_L880no-trailing-leading-spaces-in-security-options-meta-descriptionWarning Security Options Meta description should not contain any leading or trailing white-space characters.